package com.chinaitop.depot.intelligent.grainsituation.mapper;

import com.chinaitop.depot.intelligent.grainsituation.model.TTestdataPoints;
import com.chinaitop.depot.intelligent.grainsituation.model.TTestdataPointsExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface TTestdataPointsMapper {
    int countByExample(TTestdataPointsExample example);

    int deleteByExample(TTestdataPointsExample example);

    int deleteByPrimaryKey(String id);

    int insert(TTestdataPoints record);

    int insertSelective(TTestdataPoints record);

    List<TTestdataPoints> selectByExampleWithBLOBs(TTestdataPointsExample example);

    List<TTestdataPoints> selectByExample(TTestdataPointsExample example);

    TTestdataPoints selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TTestdataPoints record, @Param("example") TTestdataPointsExample example);

    int updateByExampleWithBLOBs(@Param("record") TTestdataPoints record, @Param("example") TTestdataPointsExample example);

    int updateByExample(@Param("record") TTestdataPoints record, @Param("example") TTestdataPointsExample example);

    int updateByPrimaryKeySelective(TTestdataPoints record);

    int updateByPrimaryKeyWithBLOBs(TTestdataPoints record);

    int updateByPrimaryKey(TTestdataPoints record);

    void insertBatch(List<TTestdataPoints> points_list);

    List<Map<String, Object>> test(Map<String, Object> param);
}